6.0.0-git
2019-03-20

[#9243] after adding time to fullday event_allday is still true in db?
Summary after adding time to fullday event_allday is still true in db?
Queue Kronolith
Queue Version Git master
Type Bug
State Resolved
Priority 2. Medium
Owners mrubinsk (at) horde (dot) org
Requester d-fens (at) 00010111 (dot) de
Created 2010-09-09 (3114 days ago)
Due
Updated 2010-09-13 (3110 days ago)
Assigned 2010-09-12 (3111 days ago)
Resolved 2010-09-13 (3110 days ago)
Milestone
Patch No

History
2010-09-13 14:00:15 Michael Rubinsky State ⇒ Resolved
 
2010-09-13 08:22:44 d-fens (at) 00010111 (dot) de Comment #4 Reply to this comment
thanks, works nice
2010-09-12 20:38:14 Michael Rubinsky Comment #3
Assigned to Michael Rubinsky
Summary ⇒ after adding time to fullday event_allday is still true in db?
State ⇒ Feedback
Reply to this comment
Try now?
2010-09-12 20:37:54 Git Commit Comment #2 Reply to this comment
Changes have been made in Git for this ticket:

Reset the Kronolith_Event::allday property when receiving event from 
iCalendar.
Value will be redetermined if needed when Kronolith_Event#isAllDay() 
is called next

Bug: 9243

http://git.horde.org/diff.php/kronolith/lib/Event.php?rt=horde-git&r1=b0ee59fe2b830806015bb4a030a5106d29cb3993&r2=881a2a5b81c2fef9d2792cb6dc22619391d23b0f
2010-09-09 13:07:49 d-fens (at) 00010111 (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ after adding time to fullday event_allday is still true in db
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
hi,

i created a day event, snyced it to horde, all good.
i changed the event to have a start/endtime, synced -> time is added 
but event_allday ist not cleared, leading to strange behaviour (shown 
as allday, editing shows time)

don't know if its a syncml thing or kronolith only

Saved Queries